path: /build/build/rust-virtual-1.87.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} virtual/rust -pv -t
  - |
    emerge -j ${JOBS} --nodeps virtual/rust
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/rust && luet-portage --dir
    /pkgdir/rust virtual/rust
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:39470723f1c187138810286b5cb494f7629799d9507fb433c6900be0c6bce28e
  package:
    name: rust
    version: 1.87.0
    category: virtual
    requires:
    - name: setuptools-rust
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Virtual for Rust language compiler
    buildtimestamp: 2025-08-18 23:44:22.289684818 +0000 UTC m=+4345.112286641
    labels:
      IUSE: abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64
      RDEPEND: '|| ( ~dev-lang/rust-bin-1.87.0[-mgorny(-)] ~dev-lang/rust-1.87.0[-mgorny(-)]
        )'
      emerge.packages: virtual/rust
      kit: lang-kit
      original.package.name: virtual/rust
      original.package.slot: "0"
      original.package.version: 1.87.0
    treedir: /build/packages
  package_dir: /pkgdir/rust
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 59d8986e56e0dfd345874b8272c1a5da768233a56bcf32779cb3853905f3e427
compressiontype: zstd
files:
- var/db/pkg/virtual/rust-1.87.0/BUILD_TIME
- var/db/pkg/virtual/rust-1.87.0/CATEGORY
- var/db/pkg/virtual/rust-1.87.0/CBUILD
- var/db/pkg/virtual/rust-1.87.0/CFLAGS
- var/db/pkg/virtual/rust-1.87.0/CHOST
- var/db/pkg/virtual/rust-1.87.0/COUNTER
- var/db/pkg/virtual/rust-1.87.0/CTARGET
- var/db/pkg/virtual/rust-1.87.0/CXX
- var/db/pkg/virtual/rust-1.87.0/CXXFLAGS
- var/db/pkg/virtual/rust-1.87.0/DEFINED_PHASES
- var/db/pkg/virtual/rust-1.87.0/DESCRIPTION
- var/db/pkg/virtual/rust-1.87.0/EAPI
- var/db/pkg/virtual/rust-1.87.0/FEATURES
- var/db/pkg/virtual/rust-1.87.0/INHERITED
- var/db/pkg/virtual/rust-1.87.0/IUSE
- var/db/pkg/virtual/rust-1.87.0/IUSE_EFFECTIVE
- var/db/pkg/virtual/rust-1.87.0/KEYWORDS
- var/db/pkg/virtual/rust-1.87.0/LDFLAGS
- var/db/pkg/virtual/rust-1.87.0/LICENSE
- var/db/pkg/virtual/rust-1.87.0/PF
- var/db/pkg/virtual/rust-1.87.0/RDEPEND
- var/db/pkg/virtual/rust-1.87.0/SIZE
- var/db/pkg/virtual/rust-1.87.0/SLOT
- var/db/pkg/virtual/rust-1.87.0/USE
- var/db/pkg/virtual/rust-1.87.0/environment.bz2
- var/db/pkg/virtual/rust-1.87.0/repository
- var/db/pkg/virtual/rust-1.87.0/rust-1.87.0.ebuild
package_cacheimage: ""
runtime:
  name: rust
  version: 1.87.0
  category: virtual
  requires:
  - name: rust-bin
    version: '>=0'
    category: dev-lang-stable
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Virtual for Rust language compiler
  labels:
    IUSE: abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64
    RDEPEND: '|| ( ~dev-lang/rust-bin-1.87.0[-mgorny(-)] ~dev-lang/rust-1.87.0[-mgorny(-)]
      )'
    emerge.packages: virtual/rust
    kit: lang-kit
    original.package.name: virtual/rust
    original.package.slot: "0"
    original.package.version: 1.87.0
